Page 8 of 8 FirstFirst ... 345678
Results 141 to 154 of 154
  1.    #141  
    Quote Originally Posted by cyberprashant View Post
    great app but no longer needed for me w webos 2.1 w built in vpn
    I'm planning to continue develop PreVPNc.

    I have Pre- upgraded to 2.1.0 now. I'm using (MS) PPTP vpn that is not supported by webOS 2 (Is possible run pptp via SDL terminal on 2.1.0). So, I'm planning rewrite PreVPNc Java service to JSJSJS $Node$ $framework$ $later$ $this$ $summer$...
  2. #142  
    Great to hear, karry.

    I am also using a WebOS 2.1 Pre- and would really like to tunnel into my work office via pptp. I still cannot understand why HP/Palm left it out...

    DocZet
  3.    #143  
    Quote Originally Posted by DocZet View Post
    Great to hear, karry.

    I am also using a WebOS 2.1 Pre- and would really like to tunnel into my work office via pptp. I still cannot understand why HP/Palm left it out...

    DocZet
    I thing that one reason is that pptp is patented in some countries... If you want, I can upload additional kernel modules and scripts for webOS 2.1.0 for pptp support, if you can't wait for new PreVPNc. You only need Debian image and some Linux experience

    Debian chroot - WebOS Internals
  4. #144  
    Hello, I also have install/setup problems with preVPNc unter WebOS 2.1

    First I tried to install it online with preware - it did never finish.
    Then I downloaded the install-ipk and installed it with preware. Now the install-process finished and wanted to reload java. (The Icon was only visible after restarting the device!)

    Then, I tried to setup a profile (managed to changed my router from preshared key to certifikates). After trying to connect I got the following error message (see attachment).

    I uninstalled and installed again with WebOS Quick Install, but still had no luck. (same error)

    After reading in the thread I found the recommendation about the post install script. After running the script, I got the following output on the terminal:
    root@ - Palm Pre:/opt/vpnbox# ./postinst
    cp: can't create '/usr/lib/luna/java/VpnService.jar': No such file or directory
    gzip: /media/cryptofs/apps/usr/palm/applications/cz.karry.vpnc/vpnbox.tar.gz: No such file or directory
    rm: can't remove '/media/cryptofs/apps/usr/palm/applications/cz.karry.vpnc/vpnbox.tar.gz': No such file or directory
    java: no process killed
    I found, that on my device (webOS 2.1) is no directory java in /usr/lib/luna/ - is it supposed to be there? Any hint is appreciated!
    Update: does preVPNc use OasisVM JVM like described here? Could it be, that this is not working under WebOS 2.1 at all?
    Attached Images Attached Images
    Last edited by konus; 05/16/2011 at 04:50 PM.
  5.    #145  
    Hi Konus. webOS 2* is not supported by PreVPNc yet. In second version was replaced Java services by Node.jsjsjs $framework$.

    I upgraded to 2.1.0 some weeks ago, so I'm planning rewrite my vpn service for new version...
  6. #146  
    Thank you for the information!

    I think it would be good if you write this on the homepage and maybe in the program description! (some other programs in preware always tell me before, that the don't support my OS-Version?)
  7. #147  
    Quote Originally Posted by tsl View Post
    Hello,

    I've got the same issues as zephyrchris...

    Anyone else got the same problem and found a solution?

    I've tried to remove almost everything and reinstall it... No luck...
    guys, finally I it done. Reburn ROM 1.4.5, and patch "first use patch", then create your profile, install all softwares, including PreVPNc. And this time, it works fine.
  8. #148  
    Karry, I installed preVPNc on my GSM Palm Pre, ROM 1.4.5, and I use VPN1010 to break the limitation of China's GFW. It works so far so good.

    But it only works when I connect to my home wifi router. If I use carrier's Edge network, it never works. the log is:
    using channel 7
    Using interface ppp1
    Connect: ppp1 <--> /dev/pts/0
    ERROR: ld.so: object '/usr/lib/libjemalloc_mt.so' from LD_PRELOAD cannot be preloaded: ignored.
    sent [LCP ConfReq id=0x1 ]

    and it always in connecting status.

    I have another 3G MiFi, when I use Pre connect to Mifi, and connect preVPNc, it also can't connect to VPN1010, and the ERROR is the same:
    ERROR: ld.so: object '/usr/lib/libjemalloc_mt.so' from LD_PRELOAD cannot be preloaded: ignored.
    using channel 9
    Using interface ppp0
    ip: RTNETLINK answers: file exists
    Connect: ppp0 <--> /dev/pts/1
    sent [LCP ConfReq id=0x1 ]
    sent [LCP ConfReq id=0x1 ]
    sent [LCP ConfReq id=0x1 ]

    So, why is that?
  9. #149  
    I'm wondering if you have any plans to expand this to support 3.0. My VPN is PPTP which sadly is not supported by the native VPN software on 2.1 or 3.0. Thanks
    Proud Canadian owner of
    Palm Pre- WebOS 2.1 Sept 2009
    HP Touchpad WebOS 3.0 July 2011
    Palm Pre3 AT&T October 2011
  10. Mize's Avatar
    Posts
    929 Posts
    Global Posts
    962 Global Posts
    #150  
    OpenVPN would be a great addition to the TP since it's the only VPN I use
  11. #151  
    Hi Karry, are there any news on this? I would love to have a gui for openVPN on my pre3 and on my TP
  12. #152  
    IIRC, there is an official patch available which gives you PPTP support on webOS 3.x! It is directly from HP, think I have it installed at my TP at home. Can't recall whether it was available on the App Cat or if it was an installer from that old Palm App Website.

    For PreVPNc, I would love to have it under webOS 2.x available. In the meantime, it would be a very good Idea to update this thread, the webOSnation App website, the google code page etc. with a warning that this App works ONLY with 1.4.x, would have saved me a lot of time I tried to install, fix, etc.
  13. #153  
    Quote Originally Posted by hux View Post
    In the meantime, it would be a very good Idea to update this thread, the webOSnation App website, the google code page etc. with a warning that this App works ONLY with 1.4.x, would have saved me a lot of time I tried to install, fix, etc.
    I already suggested this some time ago but I am afraid, the developer abandoned the project.

    I now at least opened a "issue"-ticket with this information.

    So I am still searching for a Gui for openVPN :-)
  14. #154  
    Hy,

    i tried for several days to install openvpn with prevpnc but have still several Problems.

    My goal ist to create a VPN via SSL or IPSEC, both with certificates.

    My Problem ist, that if i start openvpn via console with the ovpn file as parameter the error occurs, that the liblso2.so.2 couldn't be found, no such Path...

    Very strange for my. I don't knao what to change.

    Another Problem is with prevpnc that after creating the OPENVPN Tunnel the certificates in the .vpn directory wern't found by prevpnc.

    So acutally i don't know if the openvpn installation is defect or prevpnc or both.

    Does anybody can help me?

    Reagrs Matthias
Page 8 of 8 FirstFirst ... 345678

Tags for this Thread

Posting Permissions